2 Replies Latest reply: Jan 15, 2010 12:26 AM by 807567 RSS

    143521-01 (nxge): PaTcH_MsG 8 Version  of  is not installed on this system.

    807567
      Hi,

      we're trying to install the nxge patch on a fresh Solaris 10 box;

      SunOS testbox 5.10 Generic_141444-09 sun4v sparc SUNW,Sun-Fire-T200

      - all required patches installed
      - no IDR patches installed

      But the patchadd fails with

      Patch 143521-01 failed to install due to a failure produced by pkgadd.

      root@testbox~>cat /var/sadm/patch/143521-01/log
      Package not patched:
      PKG=SUNWnxge.u
      Original package not installed.

      This appears to be an attempt to install the same architecture and
      version of a package which is already installed. This installation
      will attempt to overwrite this package.

      /root/143521-01/SUNWnxge.v/install/checkinstall: /root/143521-01/SUNWnxge.v/install/checkinstall: cannot open
      pkgadd: ERROR: checkinstall script did not complete successfully
      Dryrun complete.
      No changes were made to the system.

      root@testbox ~>umask
      0022

      root@testbox ~>ls -l /root/143521-01/SUNWnxge.v/install/checkinstall
      -rwxr-xr-x 1 root root 6488 Dec 8 18:04 /root/143521-01/SUNWnxge.v/install/checkinstall

      root@testbox ~>sh -x /root/143521-01/SUNWnxge.v/install/checkinstall
      PATCH_OVERRIDE_LIB=/usr/lib/patch/patch_override_lib
      + [ -f /usr/lib/patch/patch_override_lib -a -r /usr/lib/patch/patch_override_lib ]
      + . /usr/lib/patch/patch_override_lib
      + [ -n  ]
      + [ -n  ]
      PATCH_OVERRIDE_DIR=/usr/lib/patch/patch_override_dir
      + [ -n  ]
      + [ -n  ]
      + cut -d- -f1 +
      echo
      BaseID=
      + /usr/bin/basename /root/143521-01/SUNWnxge.v/install/checkinstall
      PatchScriptName=checkinstall
      + [ -f /usr/lib/patch/patch_override_dir/_checkinstall -a -r /usr/lib/patch/patch_override_dir/_checkinstall ]
      + [ -n  -a -f /usr/lib/patch/patch_override_dir/__checkinstall -a -r /usr/lib/patch/patch_override_dir/__checkinstall ]
      + checkinstall_deflt
      PATH=/usr/sadm/bin:/usr/bin:/bin:/usr/sbin:/sbin
      NOVERS_MSG=PaTcH_MsG 8 Version of is not installed on this system.
      ALRDY_MSG=PaTcH_MsG 2 Patch number is already applied.
      TEMP_MSG=PaTcH_MsG 23 Patch number cannot be applied until all restricted patches are backed out.
      IDR_MSG=ERROR: IDR cannot be applied until all Interim Relief/Diagnostics are backed out.
      IDR_MSG2=ERROR: Restricted patch cannot be applied until all Interim Relief/Diagnostics are backed out.
      + .
      + [  != yes ]
      + echo PaTcH_MsG 8 Version of is not installed on this system.
      PaTcH_MsG 8 Version of is not installed on this system.
      + exit 3


      Can someone help about this or should I open a bug report ?


      Best Regards,


      Olivier